/**
 * @file style.css
 * @copyright 2025 PlasticHeart
 */

section[data-name="main"] {
    margin-left: auto;
    margin-right: auto;
    max-width: 740px;
}

img.emoji {
    display: inline;
    height: 1em;
    width: 1em;
    margin: 0;
    vertical-align: -0.12em;
}

.content ul {
    li[data-type="new"]::marker {
        color: var(--bulma-success);
    }

    li[data-type="mod"]::marker {
        color: var(--bulma-warning);
    }

    li[data-type="fix"]::marker {
        color: var(--bulma-info);
    }

    li[data-type="del"]::marker {
        color: var(--bulma-danger);
    }
}

.is-pre-wrap { white-space: pre-wrap; }

.w-100 { width: 100% !important; }
.w-75 { width: 75% !important; }
.w-50 { width: 50% !important; }
.w-25 { width: 25% !important; }
.w-0 { width: 0% !important; }

.is-opacity-100 { opacity: 1.00 !important; }
.is-opacity-75 { opacity: 0.75 !important; }
.is-opacity-50 { opacity: 0.50 !important; }
.is-opacity-25 { opacity: 0.25 !important; }
.is-opacity-0 { opacity: 0.00 !important; }
